<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: Patrdf2html.xsl,v 1.19 2009/11/30 03:42:27 eric Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="2.0" xmlns='http://www.w3.org/1999/xhtml'
xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'
xmlns:html='http://www.w3.org/1999/xhtml'
xmlns:pim='tag:eric@w3.org:2009/pim/basic'
xmlns:foaf="http://xmlns.com/foaf/0.1/"
xmlns:trans='tag:eric@w3.org:2009/tmo/translator#'
xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
xmlns:indivo="http://indivo.org/vocab/xml/documents#"
xmlns:geo="http://www.w3.org/2003/01/geo/wgs84_pos#"
xmlns:vcard="http://www.w3.org/2001/vcard-rdf/3.0#"
exclude-result-prefixes="html xsd rdf pim foaf trans indivo geo vcard">

<xsl:output method="html" indent='yes' encoding='utf-8'
omit-xml-declaration="no"	    
media-type="text/html" version="4.0"/>

  <xsl:template match="rdf:RDF">
<xsl:text>
</xsl:text><xsl:comment> &#x24;Id&#x24; </xsl:comment><xsl:text>
</xsl:text>
    <html>
      <head>
	<title><xsl:value-of select="/rdf:RDF/foaf:Person/foaf:name"/></title>
  <style type="text/css" media="screen">
/*<![CDATA[*/

table {
  margin: 1em 1em 1em 2em;
  background: whitesmoke;
  border-collapse: collapse;
}
table th, table.pretty td {
  border: 1px silver solid;
  padding: 0.2em;
}
table th {
  background: gainsboro;
  text-align: left;
}
table caption {
  margin-left: inherit;
  background: gainsboro;
  margin: 1em 0em -.9em 0em;
  text-align: left;
  padding-bottom: 1px;
}

.baddesc {
	    border-style:solid;
	    border-color:#f00 #00f;
	  }
.badpred {
	    border-style:solid;
	    border-color:#00f #f00;
	  }
/*]]>*/
    </style>
      </head>
      <body>
	<h1><xsl:value-of select="/rdf:RDF/foaf:Person/foaf:name"/></h1>
	<div>
	  <table><caption>trans:Prescriptions</caption>
	  <tr><th>ontology</th><th>NDC</th><th>genericName</th><th>strength</th><th>unit</th><th>packSize</th><th>packType</th><th>routeName</th><th>dosageName</th><th>frequency</th><th>refill</th><th>daysToTake</th><th>prescribedBy</th><th>datePrescribed</th><th>datePrescriptionEnded</th><th>...</th></tr>
	  <xsl:apply-templates mode="prescriptions" select="trans:Drug"/>
	  </table>
	</div>

	<div>
	  <table><caption>trans:hasConditions</caption>
	  <tr><th>diagnosedWith</th><th>ICD9</th><th>dateDiagnosed</th><th>diagnosedBy</th><th>...</th></tr>
	  <xsl:apply-templates mode="condition" select="rdf:Description/trans:hasCondition"/>
	  </table>
	</div>

	<div>
	  <table><caption>trans:Procedures</caption>
	  <tr><th>procedureName</th><th>ICD9</th><th>procedureDate</th><th>procedureNotes</th><th>referredBy</th><th>referredInstitution</th></tr>
	  <xsl:apply-templates mode="procedure" select="trans:Procedure"/>
	  </table>
	</div>

	<div>
	  <table><caption>trans:Allergies</caption>
	  <tr><th>type</th><th>list</th></tr>
	  <xsl:apply-templates mode="allergy" select="rdf:Description/trans:hasAllergy"/>
	  </table>
	</div>

	<div>
	  <table><caption>trans:Immunizations</caption>
	  <tr><th>name</th><th>date</th><th>method</th><th>compound</th><th>stage</th><th>administeredBy</th><th>date</th><th>method</th><th>compound</th><th>stage</th><th>administeredBy</th></tr>
	  <xsl:apply-templates mode="immunization" select="rdf:Description/trans:immunization"/>
	  </table>
	</div>

	<div>
	  <table><caption>trans:Behavoirs</caption>
	  <tr><th>name</th><th>frequency</th><th>units</th><th>quantity</th><th>averageDuration</th><th>packYears</th><th>history</th><th>fruitVegetablesRating</th><th>wholeGrainsRating</th><th>dairyRating</th><th>proteinRating</th><th>fatsRating</th><th>junkFoodRating</th><th>date</th></tr>
	  <xsl:apply-templates mode="behavoir" select="rdf:Description/trans:behavoir"/>
	  </table>
	</div>

	<div>
	  <table><caption>trans:Relations</caption>
	  <tr><th>relation</th><th>fname</th><th>sex</th><th>medicalConditions x_1="RA"</th><th>alive</th><th>ageAtDeath</th><th>cancer</th><th>medicalConditions x_1="RA"</th><th>cancerType</th><th>cancerTypeColorectalAge</th><th>causeOfDeath</th></tr>
	  <xsl:apply-templates mode="relation" select="rdf:Description/trans:relation"/>
	  </table>
	</div>

	<div>
	  <table><caption>trans:Encounters</caption>
	  <thead>
	    <tr><th>dateOfEncounter</th><th>physician</th><th>referral</th><th>medicalBaseline</th><th>medicalTest</th><th>reportedSymptoms</th><th>workingDiagnosis</th></tr>
	  </thead>
	  <xsl:apply-templates mode="encounter" select="trans:Encounter"/>
	  </table>
	</div>

	<xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="trans:Practice">
    <div class="practice">
      <h2>Practice : <xsl:value-of select="trans:practiceName"/></h2>
      <xsl:apply-templates select="pim:addr"/>
      <xsl:apply-templates select="trans:primaryCarePhysician"/>
    </div>
  </xsl:template>

  <xsl:template match="pim:Address">
    <table><caption>pim:Address</caption>
      <tr><th>street</th><th>postcode</th><th>local</th><th>region</th><th></th><th>TZ</th><th>phone</th></tr>
      <tr><td><xsl:value-of select="vcard:Street"/></td><td><xsl:value-of select="vcard:Pcode"/></td><td><xsl:value-of select="vcard:Locality"/></td><td><xsl:value-of select="vcard:Region"/></td><td><xsl:value-of select="vcard:Country"/></td><td><xsl:value-of select="pim:timeZone"/></td><td><xsl:value-of select="foaf:phone"/></td></tr>
    </table>
  </xsl:template>

  <xsl:template match="foaf:Person">
    <div>
      <table><caption>foaf:Person</caption>
	<tr><th>name</th><th>given</th><th>fam</th><th>license</th><th>gender</th></tr>
	<tr><td><xsl:value-of select="foaf:name"/></td><td><xsl:value-of select="foaf:givenName"/></td><td><xsl:value-of select="foaf:familyName"/></td><td><xsl:value-of select="trans:license"/></td><td><xsl:value-of select="foaf:gender"/></td></tr>
      </table>
      <xsl:apply-templates select="foaf:address"/>
    </div>
  </xsl:template>

  <xsl:template match="trans:Demographics">
    <div>
      <table><caption>trans:Demographics</caption>
	<tr><th>dateOfBirth</th><th>dateOfDeath</th><th>gender</th><th>ethnicity</th><th>language</th><th>maritalStatus</th><th>employmentStatus</th><th>employmentIndustry</th><th>occupation</th><th>religion</th><th>income</th><th>highestEducation</th><th>organDonor</th></tr>
	<tr><td><xsl:value-of select="indivo:dateOfBirth"/></td><td><xsl:value-of select="indivo:dateOfDeath"/></td><td><xsl:value-of select="indivo:gender"/></td><td><xsl:value-of select="indivo:ethnicity"/></td><td><xsl:value-of select="indivo:language"/></td><td><xsl:value-of select="indivo:maritalStatus"/></td><td><xsl:value-of select="indivo:employmentStatus"/></td><td><xsl:value-of select="indivo:employmentIndustry"/></td><td><xsl:value-of select="indivo:occupation"/></td><td><xsl:value-of select="indivo:religion"/></td><td><xsl:value-of select="indivo:income"/></td><td><xsl:value-of select="indivo:highestEducation"/></td><td><xsl:value-of select="indivo:organDonor"/></td></tr>
      </table>
      <xsl:apply-templates select="foaf:address"/>
    </div>
  </xsl:template>

  <xsl:template match="trans:Drug"/>

  <xsl:template mode="prescriptions" match="*">
    <tr><td><xsl:value-of select="trans:ontology"/></td><td><xsl:value-of select="trans:NDC"/></td><td><xsl:value-of select="trans:genericName"/></td><td><xsl:value-of select="trans:strength"/></td><td><xsl:value-of select="trans:unit"/></td><td><xsl:value-of select="trans:packSize"/></td><td><xsl:value-of select="trans:packType"/></td><td><xsl:value-of select="trans:routeName"/></td><td><xsl:value-of select="trans:dosageName"/></td><td><xsl:value-of select="trans:frequency"/></td><td><xsl:value-of select="trans:refill"/></td><td><xsl:value-of select="trans:daysToTake"/></td><td><xsl:value-of select="trans:prescribedBy"/></td><td><xsl:value-of select="indivo:prescribedOn"/></td><td><xsl:value-of select="trans:datePrescriptionEnded"/></td><td><xsl:value-of select="trans:physicianNotes"/></td></tr>
  </xsl:template>


  <xsl:template match="rdf:Description/trans:hasCondition"/>

  <xsl:template mode="condition" match="trans:Condition">
    <tr><td><xsl:value-of select="trans:diagnosedWith"/></td><td><xsl:value-of select="trans:ICD9"/></td><td><xsl:value-of select="trans:dateDiagnosed"/></td><td><xsl:value-of select="indivo:diagnosedBy"/></td><td><xsl:value-of select="trans:physicianNotes"/></td></tr>
  </xsl:template>


  <xsl:template match="trans:Procedure"/>

  <xsl:template mode="procedure" match="*">
    <tr><td><xsl:value-of select="trans:procedureName"/></td><td><xsl:value-of select="trans:ICD9procedure"/></td><td><xsl:value-of select="indivo:datePerformed"/></td><td><xsl:value-of select="trans:procedureNotes"/></td><td><xsl:value-of select="trans:referredBy"/></td><td><xsl:value-of select="trans:referredInstitution"/></td></tr>
  </xsl:template>


  <xsl:template match="rdf:Description/trans:hasAllergy"/>

  <xsl:template mode="allergy" match="trans:Allergy">
    <tr><td><xsl:value-of select="trans:allergyType"/></td><td><xsl:value-of select="trans:allergyList"/></td></tr>
  </xsl:template>


  <xsl:template match="rdf:Description/trans:immunization"/>

  <xsl:template mode="immunization" match="trans:Immunization">
    <tr><td><xsl:value-of select="trans:diseaseName"/></td><td><xsl:value-of select="indivo:dateAdministered"/></td><td><xsl:value-of select="trans:method"/></td><td><xsl:value-of select="trans:compound"/></td><td><xsl:value-of select="trans:stage"/></td><td><xsl:value-of select="trans:administeredBy"/></td></tr>
  </xsl:template>


  <xsl:template match="rdf:Description/trans:behavoir"/>

  <xsl:template mode="behavoir" match="trans:Behavoir">
    <tr><td><xsl:value-of select="trans:behavoirName"/></td><td><xsl:value-of select="trans:frequency"/></td><td><xsl:value-of select="trans:units"/></td><td><xsl:value-of select="trans:quantity"/></td><td><xsl:value-of select="trans:averageDuration"/></td><td><xsl:value-of select="trans:packYears"/></td><td><xsl:value-of select="trans:history"/></td><td><xsl:value-of select="trans:fruitVegetablesRating"/></td><td><xsl:value-of select="trans:wholeGrainsRating"/></td><td><xsl:value-of select="trans:dairyRating"/></td><td><xsl:value-of select="trans:proteinRating"/></td><td><xsl:value-of select="trans:fatsRating"/></td><td><xsl:value-of select="trans:junkFoodRating"/></td><td><xsl:value-of select="trans:date"/></td></tr>
  </xsl:template>


  <xsl:template match="rdf:Description/trans:relation"/>

  <xsl:template mode="relation" match="trans:Relation">
    <tr><td><xsl:value-of select="trans:relation"/></td><td><xsl:value-of select="trans:fname"/></td><td><xsl:value-of select="trans:sex"/></td><td><xsl:value-of select="trans:medicalConditions"/></td><td><xsl:value-of select="trans:alive"/></td><td><xsl:value-of select="trans:ageAtDeath"/></td><td><xsl:value-of select="trans:cancer"/></td><td><xsl:value-of select="trans:cancerType"/></td><td><xsl:value-of select="trans:cancerTypeColorectalAge"/></td><td><xsl:value-of select="trans:causeOfDeath"/></td></tr>
  </xsl:template>


  <xsl:template match="trans:Encounter"/>

  <xsl:template mode="encounter" match="*">
    <tbody>
    <tr><td><a href="" title="expand text" onclick="t= this.parentNode.parentNode.parentNode.nextSibling.style; t.display= (t.display== 'none' ? 'table-row-group' : 'none'); return false;"><xsl:value-of select="trans:dateOfEncounter"/></a></td><td><xsl:value-of select="trans:physician"/></td><td><xsl:value-of select="trans:referral"/></td><td><xsl:value-of select="trans:medicalBaseline"/></td><td><xsl:value-of select="trans:medicalTest"/></td><td><xsl:value-of select="trans:reportedSymptoms"/></td><td><xsl:value-of select="trans:workingDiagnosis"/></td></tr>
    </tbody>
    <xsl:if test="   trans:physicalObservations/trans:bodyFat_x5
		  or trans:physicalObservations/trans:waistToHips
		  or trans:physicalObservations/trans:bloodPressure
		  or trans:physicalObservations/trans:restingHeartRate
		  or trans:physicalObservations/trans:stamina
		  or trans:physicalObservations/trans:lungFunction
		  or trans:test">
    <tbody style="display:none;">
    <xsl:apply-templates mode="bodyfat" select="trans:physicalObservations/trans:bodyFat_x5"/>
    <xsl:apply-templates mode="waistToHips" select="trans:physicalObservations/trans:waistToHips"/>
    <xsl:apply-templates mode="bloodPressure" select="trans:physicalObservations/trans:bloodPressure"/>
    <xsl:apply-templates mode="restingHeartRate" select="trans:physicalObservations/trans:restingHeartRate"/>
    <xsl:apply-templates mode="stamina" select="trans:physicalObservations/trans:stamina"/>
    <xsl:apply-templates mode="lungFunction" select="trans:physicalObservations/trans:lungFunction"/>
	<!-- tr><td><xsl:value-of select="trans:physicalObservations"/></td><td><xsl:value-of select="trans:bodyFat_x5"/></td><td><xsl:value-of select="trans:waistToHips"/></td><td><xsl:value-of select="trans:bloodPressure"/></td><td><xsl:value-of select="trans:restingHeartRate"/></td><td><xsl:value-of select="trans:stamina"/></td><td><xsl:value-of select="trans:lungFunction"/></td></tr -->
	
    <xsl:apply-templates mode="test" select="trans:test"/>
    </tbody>
    </xsl:if>
  </xsl:template>


  <xsl:template mode="bodyfat" match="*">
    <tr><th>bodyFat_x5</th><td colspan="7">
    <table>
      <tr><th>x6_bodyFat units="percent"</th><th>weight units="pounds"</th><th>height units="inches"</th><th>BMI units="kg/m^2"</th></tr>
      <tr><td><xsl:value-of select="trans:x6_bodyFat"/></td><td><xsl:value-of select="trans:weight"/></td><td><xsl:value-of select="trans:height"/></td><td><xsl:value-of select="trans:BMI"/></td></tr>
    </table>
    </td></tr>
  </xsl:template>


  <xsl:template mode="waistToHips" match="*">
    <tr><th>waistToHips</th><td colspan="7">
    <table>
      <tr><th>waist units="inches"</th><th>hips units="inches"</th><th>waistToHips</th></tr>
      <tr><td><xsl:value-of select="trans:waist"/></td><td><xsl:value-of select="trans:hips"/></td><td><xsl:value-of select="trans:waistToHips"/></td></tr>
    </table>
    </td></tr>
  </xsl:template>


  <xsl:template mode="bloodPressure" match="*">
    <tr><th>bloodPressure</th><td colspan="7">
    <table>
      <tr><th>systolic units="mmHg"</th><th>diastolic units="mmHg"</th></tr>
      <tr><td><xsl:value-of select="trans:systolic"/></td><td><xsl:value-of select="trans:diastolic"/></td></tr>
    </table>
    </td></tr>
  </xsl:template>


  <xsl:template mode="restingHeartRate" match="*">
    <tr><th>restingHeartRate</th><td colspan="7">
    <table>
      <tr><th>restingHeartRate units="BPM"</th></tr>
      <tr><td><xsl:value-of select="trans:restingHeartRate"/></td></tr>
    </table>
    </td></tr>
  </xsl:template>


  <xsl:template mode="stamina" match="*">
    <tr><th>stamina</th><td colspan="7">
    <table>
      <tr><th>finalHeartRate units="BPM"</th><th>predictedVO2Max units="ml/kg/min"</th></tr>
      <tr><td><xsl:value-of select="trans:finalHeartRate"/></td><td><xsl:value-of select="trans:physicalObservations/trans:stamina/trans:predictedVO2Max"/></td></tr>
    </table>
    </td></tr>
  </xsl:template>

  <xsl:template mode="lungFunction" match="*">
    <tr><th>lungFunction</th><td colspan="7">
    <table>
      <tr><th>PEFR units="L/min"</th></tr>
      <tr><td><xsl:value-of select="trans:PEFR"/></td></tr>
    </table>
    </td></tr>
  </xsl:template>


  <xsl:template mode="test" match="*">
    <tr><th>test</th><td colspan="7">
    <table>
      <tr><th>CPT</th><th>testName</th><th>referredTo</th><th>referredClinic</th><th>referredBy</th><th>originalImage</th><th>CompleteBloodCount CPT="85025"</th><th>...</th></tr>
      <tr><td><xsl:value-of select="trans:CPT"/></td><td><xsl:value-of select="trans:testName"/></td><td><xsl:value-of select="trans:referredTo"/></td><td><xsl:value-of select="trans:referredClinic"/></td><td><xsl:value-of select="trans:referredBy"/></td><td><xsl:value-of select="trans:originalImage"/></td><td><xsl:value-of select="trans:CompleteBloodCount"/></td><td><xsl:value-of select="trans:physicianNotes"/></td></tr>
      <xsl:apply-templates mode="testSet" select="trans:testSet/*"/>

      <xsl:if test="trans:result">
	<tr><th>trans:result</th><td colspan="6">
	<table><caption>trans:result</caption>
	<tr><th>value</th><th>rs_Number</th><th>variant_Synonyms</th><th>gene_Symbol</th><th>gene_Name</th><th>ENTREZ_Gene_ID</th><th>Accession_ID</th><th>Gene_Region</th><th>DNA_Change</th><th>DNA_Change_Type</th><th>Amino_Acid_Change</th><th>Amino_Acid_Change_Type</th></tr>
	<xsl:apply-templates mode="results" select="trans:result"/>
	</table>
	</td></tr>
      </xsl:if>
    </table>
    </td></tr>
  </xsl:template>


  <xsl:template mode="testSet" match="*">
    <xsl:variable name="testType" select="local-name()"/>
    <tr><th><xsl:value-of select="trans:x_3"/></th><td colspan="6">
    <table><caption><xsl:value-of select="$testType"/></caption>
    <tr><th>CPT</th><th>LOINC</th><th>description</th><th>value</th><th>units</th></tr>
    <xsl:apply-templates mode="testCodes" select="trans:testCode"/>
    </table>
    </td></tr>
  </xsl:template>

  <xsl:template mode="testCodes" match="*">
    <tr><td><xsl:value-of select="trans:CPT"/></td><td><xsl:value-of select="trans:LOINC"/></td><td><xsl:value-of select="trans:description"/></td><td><xsl:value-of select="trans:value"/></td><td><xsl:value-of select="trans:units"/></td></tr>
  </xsl:template>

  <xsl:template mode="results" match="*">
    <tr><td><xsl:value-of select="trans:value"/></td><td><xsl:value-of select="trans:rs_Number"/></td><td><xsl:value-of select="trans:variant_Synonyms"/></td><td><xsl:value-of select="trans:gene_Symbol"/></td><td><xsl:value-of select="trans:gene_Name"/></td><td><xsl:value-of select="trans:ENTREZ_Gene_ID"/></td><td><xsl:value-of select="trans:Accession_ID"/></td><td><xsl:value-of select="trans:Gene_Region"/></td><td><xsl:value-of select="trans:DNA_Change"/></td><td><xsl:value-of select="trans:DNA_Change_Type"/></td><td><xsl:value-of select="trans:Amino_Acid_Change"/></td><td><xsl:value-of select="trans:Amino_Acid_Change_Type"/></td></tr>
  </xsl:template>


  <!-- render misparses in pres -->

  <xsl:template match="rdf:Description/trans:misParse">
    <pre class="baddesc">
      <xsl:copy-of select="."/>
    </pre>
  </xsl:template>

  <xsl:template match="trans:misParse">
    <pre class="badpred">
      <xsl:copy-of select="."/>
    </pre>
  </xsl:template>

</xsl:stylesheet>
